<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="..\..\packages\Microsoft.CodeAnalysis.Analyzers.3.0.0\build\Microsoft.CodeAnalysis.Analyzers.props" Condition="Exists('..\..\packages\Microsoft.CodeAnalysis.Analyzers.3.0.0\build\Microsoft.CodeAnalysis.Analyzers.props')" />
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{73617AD1-7ECA-4ECA-965A-0DC500773C21}</ProjectGuid>
    <OutputType>Library</OutputType>
    <RootNamespace>InABox.DynamicGrid</RootNamespace>
    <AssemblyName>InABox.DynamicGrid</AssemblyName>
    <TargetFrameworkVersion>v4.8</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <AutoGenerateBindingRedirects>true</AutoGenerateBindingRedirects>
    <Deterministic>true</Deterministic>
    <NuGetPackageImportStamp>
    </NuGetPackageImportStamp>
    <TargetFrameworkProfile />
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup>
    <StartupObject />
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Run No Build|AnyCPU'">
    <OutputPath>bin\Run No Build\</OutputPath>
  </PropertyGroup>
  <ItemGroup>
    <None Include="app.config" />
  </ItemGroup>
  <ItemGroup>
    <Page Include="Attachments.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="AuditWindow.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="DynamicEditorForm.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="DynamicEditorGrid.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="DynamicExportForm.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="DynamicGridColumnsEditor.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="DynamicImportForm.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="DynamicImportList.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="DynamicIssuesEditor.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="DynamicKanbanColumn.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="DynamicKanbanGrid.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="DynamicMultiEditWindow.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="Editors\DocumentConfirm.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="Editors\NotePopup.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="Editors\PopupList.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="Editors\RichTextEditor.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="FormDesigner\DynamicFormDesignLength.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="FormDesigner\DynamicFormWindow.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="MasterList.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="MultiSelectWindow.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="NotesForm.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="PDF\DocumentEditor.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="PDF\ImageEditorControl.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="PDF\PDFEditorControl.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="PDF\PDFPreview.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Resource Include="Resources\TabItemStyleDictionary.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Resource>
    <Resource Include="Resources\VerticalHeader.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Resource>
    <Page Include="ScriptEditor.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="Themes\Generic.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
  </ItemGroup>
  <ItemGroup>
    <Content Include="FodyWeavers.xml" />
    <None Include="Resources\Bullets16.png" />
    <None Include="Resources\Bullet_Tick.png" />
    <None Include="Resources\Bullet_Square.png" />
    <None Include="Resources\Bullet_None.png" />
    <None Include="Resources\Bullet_Image.png" />
    <None Include="Resources\Bullet_Flower.png" />
    <None Include="Resources\Bullet_Dot.png" />
    <None Include="Resources\Bullet_Circle.png" />
    <None Include="Resources\Bullet_Arrow.png" />
    <None Include="Resources\Bold16.png" />
    <None Include="Resources\AlignTextRight16.png" />
    <None Include="Resources\AlignTextLeft16.png" />
    <None Include="Resources\AlignTextJustify16.png" />
    <None Include="Resources\AlignTextCenter16.png" />
    <None Include="Resources\add.png" />
    <None Include="Resources\zoomout.png" />
    <None Include="Resources\zoomin.png" />
    <None Include="Resources\warning.png" />
    <None Include="Resources\view.png" />
    <None Include="Resources\upload.png" />
    <None Include="Resources\uparrow.png" />
    <None Include="Resources\Undo16.png" />
    <None Include="Resources\undo.png" />
    <None Include="Resources\Underline16.png" />
    <None Include="Resources\tick.png" />
    <None Include="Resources\text.png" />
    <None Include="Resources\Table16.png" />
    <None Include="Resources\Strikethrough16.png" />
    <None Include="Resources\square.png" />
    <None Include="Resources\run.png" />
    <None Include="Resources\rightarrow.png" />
    <None Include="Resources\remotefile.png" />
    <None Include="Resources\refresh.png" />
    <None Include="Resources\Redo16.png" />
    <None Include="Resources\redo.png" />
    <None Include="Resources\print.png" />
    <None Include="Resources\Picture16.png" />
    <None Include="Resources\pencil.png" />
    <None Include="Resources\paste.png" />
    <None Include="Resources\palette.png" />
    <None Include="Resources\pagewidth.png" />
    <None Include="Resources\Numbering16.png" />
    <None Include="Resources\Numbering_UpRoman.png" />
    <None Include="Resources\Numbering_UpLetter.png" />
    <None Include="Resources\Numbering_Number_Dot.png" />
    <None Include="Resources\Numbering_Number_Brace.png" />
    <None Include="Resources\Numbering_None.png" />
    <None Include="Resources\Numbering_LowRoman.png" />
    <None Include="Resources\Numbering_LowLetter_Dot.png" />
    <None Include="Resources\Numbering_LowLetter_Brace.png" />
    <None Include="Resources\merge.png" />
    <None Include="Resources\menu.png" />
    <None Include="Resources\localfile.png" />
    <None Include="Resources\line.png" />
    <None Include="Resources\leftarrow.png" />
    <None Include="Resources\key.png" />
    <None Include="Resources\Italic16.png" />
    <None Include="Resources\IncreaseIndent16.png" />
    <None Include="Resources\Hyperlink16.png" />
    <Resource Include="Resources\help.png">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Resource>
    <None Include="Resources\hand.png" />
    <None Include="Resources\go.png" />
    <None Include="Resources\fullpage.png" />
    <None Include="Resources\fontsize.png" />
    <None Include="Resources\filter_active.png" />
    <None Include="Resources\filter.png" />
    <None Include="Resources\edit.png" />
    <None Include="Resources\draw.png" />
    <None Include="Resources\download.png" />
    <None Include="Resources\downarrow.png" />
    <None Include="Resources\doc-xls.png" />
    <None Include="Resources\doc-txt.png" />
    <None Include="Resources\doc-rtf.png" />
    <None Include="Resources\doc-png.png" />
    <None Include="Resources\doc-pdf.png" />
    <None Include="Resources\doc-misc.png" />
    <None Include="Resources\doc-jpg.png" />
    <None Include="Resources\doc-bmp.png" />
    <None Include="Resources\disk.png" />
    <None Include="Resources\delete.png" />
    <None Include="Resources\DecreaseIndent16.png" />
    <None Include="Resources\cut.png" />
    <None Include="Resources\copy.png" />
    <None Include="Resources\circle.png" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Attachments.xaml.cs" />
    <Compile Include="AuditGrid.cs" />
    <Compile Include="AuditWindow.xaml.cs" />
    <Compile Include="BaseDynamicGrid.cs" />
    <Compile Include="Columns\DynamicImageColumn.cs" />
    <Compile Include="Columns\DynamicIssuesColumn.cs" />
    <Compile Include="Columns\DynamicTickColumn.cs" />
    <Compile Include="DynamicColumnGrid.cs" />
    <Compile Include="DynamicCustomEditorPage.cs" />
    <Compile Include="DynamicDataGrid.cs" />
    <Compile Include="DynamicDocumentGrid.cs" />
    <Compile Include="DynamicEditorButton.cs" />
    <Compile Include="DynamicEditorControl.cs" />
    <Compile Include="DynamicEditorForm.xaml.cs" />
    <Compile Include="DynamicEditorGrid.xaml.cs" />
    <Compile Include="DynamicEditorPage.cs" />
    <Compile Include="DynamicEnclosedListGrid.cs" />
    <Compile Include="DynamicExportForm.xaml.cs" />
    <Compile Include="DynamicExportMappingGrid.cs" />
    <Compile Include="DynamicGrid.cs" />
    <Compile Include="DynamicGridColumn.cs" />
    <Compile Include="DynamicGridColumns.cs" />
    <Compile Include="DynamicGridColumnsEditor.xaml.cs" />
    <Compile Include="DynamicGridCommon.cs" />
    <Compile Include="DynamicGridStyle.cs" />
    <Compile Include="DynamicGridUtils.cs" />
    <Compile Include="DynamicImportForm.xaml.cs" />
    <Compile Include="DynamicImportGrid.cs" />
    <Compile Include="DynamicImportList.xaml.cs" />
    <Compile Include="DynamicImportMappingGrid.cs" />
    <Compile Include="DynamicIssuesEditor.xaml.cs" />
    <Compile Include="DynamicKanbanColumn.xaml.cs" />
    <Compile Include="DynamicKanbanGrid.xaml.cs" />
    <Compile Include="DynamicManyToManyDataGrid.cs" />
    <Compile Include="DynamicManyToManyGrid.cs" />
    <Compile Include="DynamicMultiEditWindow.xaml.cs" />
    <Compile Include="DynamicOneToManyGrid.cs" />
    <Compile Include="DynamicRowMovementColumn.cs" />
    <Compile Include="DynamicSplitPanel.cs" />
    <Compile Include="Editors\CheckBoxEditorControl.cs" />
    <Compile Include="Editors\CheckListBoxEditorControl.cs" />
    <Compile Include="Editors\CodeEditorControl.cs" />
    <Compile Include="Editors\CodePopupEditorControl.cs" />
    <Compile Include="Editors\ColorEditor.cs" />
    <Compile Include="Editors\CurrencyEditorControl.cs" />
    <Compile Include="Editors\DateEditorControl.cs" />
    <Compile Include="Editors\DateTimeEditorControl.cs" />
    <Compile Include="Editors\DocumentConfirm.xaml.cs" />
    <Compile Include="Editors\DocumentEditorControl.cs" />
    <Compile Include="Editors\DoubleEditorControl.cs" />
    <Compile Include="Editors\DurationEditorControl.cs" />
    <Compile Include="Editors\EmbeddedImageEditorControl.cs" />
    <Compile Include="Editors\ExtendedRichTextEditor.cs" />
    <Compile Include="Editors\FileEditorControl.cs" />
    <Compile Include="Editors\FileNameEditorControl.cs" />
    <Compile Include="Editors\FolderEditorControl.cs" />
    <Compile Include="Editors\IntegerEditorControl.cs" />
    <Compile Include="Editors\JsonEditorControl.cs" />
    <Compile Include="Editors\LookupEditorControl.cs" />
    <Compile Include="Editors\MemoEditorControl.cs" />
    <Compile Include="Editors\NotePopup.xaml.cs" />
    <Compile Include="Editors\NotesEditorControl.cs" />
    <Compile Include="Editors\PasswordEditorControl.cs" />
    <Compile Include="Editors\PINEditorControl.cs" />
    <Compile Include="Editors\PopupEditorControl.cs" />
    <Compile Include="Editors\PopupList.xaml.cs" />
    <Compile Include="Editors\RichTextEditor.xaml.cs" />
    <Compile Include="Editors\RichTextEditorControl.cs" />
    <Compile Include="Editors\RickTextEditorViewModel.cs" />
    <Compile Include="Editors\ScriptEditorControl.cs" />
    <Compile Include="Editors\TextBoxEditorControl.cs" />
    <Compile Include="Editors\TimeOfDayEditorControl.cs" />
    <Compile Include="Editors\TimestampEditorControl.cs" />
    <Compile Include="Editors\URLEditorControl.cs" />
    <Compile Include="FormDesigner\DynamicFormControlGrid.cs" />
    <Compile Include="FormDesigner\DynamicFormDesignGrid.cs" />
    <Compile Include="FormDesigner\DynamicFormDesignLength.xaml.cs" />
    <Compile Include="FormDesigner\DynamicFormWindow.xaml.cs" />
    <Compile Include="FormDesigner\DynamicVariableGrid.cs" />
    <Compile Include="IDynamicEditor.cs" />
    <Compile Include="IDynamicGrid.cs" />
    <Compile Include="IDynamicOneToManyGrid.cs" />
    <Compile Include="IFilterDefinition.cs" />
    <Compile Include="MasterList.xaml.cs">
      <DependentUpon>MasterList.xaml</DependentUpon>
    </Compile>
    <Compile Include="MultiSelectDialog.cs" />
    <Compile Include="MultiSelectWindow.xaml.cs" />
    <Compile Include="NotesForm.xaml.cs" />
    <Compile Include="PDF\DocumentEditor.xaml.cs" />
    <Compile Include="PDF\IDocumentEditor.cs" />
    <Compile Include="PDF\ImageEditorControl.xaml.cs" />
    <Compile Include="PDF\PDFEditorControl.xaml.cs" />
    <Compile Include="PDF\PDFPreview.xaml.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="ScreenLayout.cs" />
    <Compile Include="ScreenUtils.cs" />
    <Compile Include="ScriptEditor.xaml.cs" />
    <Compile Include="ScriptModel.cs" />
    <Compile Include="Properties\Resources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Resources.resx</DependentUpon>
    </Compile>
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="Editors\CheckBoxEditor2.resx">
      <Link>Editors\CheckBoxEditor2.resx</Link>
    </EmbeddedResource>
    <EmbeddedResource Include="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
    </EmbeddedResource>
  </ItemGroup>
  <ItemGroup>
    <Reference Include="Microsoft.mshtml, Version=7.0.3300.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a">
      <EmbedInteropTypes>True</EmbedInteropTypes>
    </Reference>
    <Reference Include="PresentationCore" />
    <Reference Include="PresentationFramework" />
    <Reference Include="Syncfusion.SfGrid.WPF">
      <HintPath>..\..\..\Users\Fiona\.nuget\packages\syncfusion.sfgrid.wpf\20.2.0.38\lib\net5.0-windows7.0\Syncfusion.SfGrid.WPF.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Data" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="System.Design" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Numerics" />
    <Reference Include="System.Security" />
    <Reference Include="System.Windows" />
    <Reference Include="System.Windows.Controls.Ribbon" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xaml" />
    <Reference Include="System.Xml" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="WindowsBase" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\InABox.Client.Remote.Json\InABox.Client.Remote.Json.csproj">
      <Project>{88372f10-8c93-420c-801c-3725e5c6693c}</Project>
      <Name>InABox.Client.Remote.Json</Name>
    </ProjectReference>
    <ProjectReference Include="..\InABox.Configuration\InABox.Configuration.csproj">
      <Project>{e0e2f0dd-7c13-4f62-8202-9c30d7d74413}</Project>
      <Name>InABox.Configuration</Name>
    </ProjectReference>
    <ProjectReference Include="..\InABox.Core\InABox.Core.csproj">
      <Project>{4c950879-4135-4af0-b779-5a65a0e4eebf}</Project>
      <Name>InABox.Core</Name>
    </ProjectReference>
    <ProjectReference Include="..\inabox.logging.shared\InABox.Logging.Shared.csproj">
      <Project>{702da50a-dc67-43ca-9124-fbc84e18cc21}</Project>
      <Name>InABox.Logging.Shared</Name>
    </ProjectReference>
    <ProjectReference Include="..\InABox.Reports.Common\InABox.Reports.Common.csproj">
      <Project>{c712435f-e303-404e-813b-d7fbb9daf3f8}</Project>
      <Name>InABox.Reports.Common</Name>
    </ProjectReference>
    <ProjectReference Include="..\InABox.Scripting\InABox.Scripting.csproj">
      <Project>{13917bb3-4a32-49c8-80c5-2df34a0cbbc7}</Project>
      <Name>InABox.Scripting</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <PackageReference Include="Extended.Wpf.Toolkit">
      <Version>4.3.0</Version>
    </PackageReference>
    <PackageReference Include="Ghostscript.NET">
      <Version>1.2.3</Version>
    </PackageReference>
    <PackageReference Include="Inflector.NetStandard">
      <Version>1.2.2</Version>
    </PackageReference>
    <PackageReference Include="netDXF">
      <Version>2.2.0.1</Version>
    </PackageReference>
    <PackageReference Include="RoslynPad.Editor.Windows">
      <Version>1.2.0</Version>
    </PackageReference>
    <PackageReference Include="RoslynPad.Roslyn">
      <Version>3.6.0</Version>
    </PackageReference>
    <PackageReference Include="RoslynPad.Roslyn.Windows">
      <Version>3.6.0</Version>
    </PackageReference>
    <PackageReference Include="Syncfusion.Edit.WPF">
      <Version>20.2.0.38</Version>
    </PackageReference>
    <PackageReference Include="Syncfusion.Grid.WPF">
      <Version>20.2.0.38</Version>
    </PackageReference>
    <PackageReference Include="Syncfusion.PdfViewer.WPF">
      <Version>20.2.0.38</Version>
    </PackageReference>
    <PackageReference Include="Syncfusion.SfGrid.WPF">
      <Version>20.2.0.38</Version>
    </PackageReference>
    <PackageReference Include="Syncfusion.SfImageEditor.WPF">
      <Version>20.2.0.38</Version>
    </PackageReference>
    <PackageReference Include="Syncfusion.SfInput.WPF">
      <Version>20.2.0.38</Version>
    </PackageReference>
    <PackageReference Include="Syncfusion.SfRichTextBoxAdv.WPF">
      <Version>20.2.0.38</Version>
    </PackageReference>
    <PackageReference Include="Syncfusion.SfSkinManager.WPF">
      <Version>20.2.0.39</Version>
    </PackageReference>
    <PackageReference Include="Syncfusion.XlsIO.Wpf">
      <Version>20.2.0.38</Version>
    </PackageReference>
  </ItemGroup>
  <Import Project="..\InABox.WPF\InABox.WPF.projitems" Label="Shared" />
  <Import Project="..\InABox.Dxf\InABox.Dxf.projitems" Label="Shared" />
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <Import Project="..\..\packages\Microsoft.CodeAnalysis.Analyzers.3.0.0\build\Microsoft.CodeAnalysis.Analyzers.targets" Condition="Exists('..\..\packages\Microsoft.CodeAnalysis.Analyzers.3.0.0\build\Microsoft.CodeAnalysis.Analyzers.targets')" />
</Project>